[![CI](https://github.com/project-gemmi/gemmi/workflows/CI/badge.svg)](https://github.com/project-gemmi/gemmi/actions)
[![Build status](https://ci.appveyor.com/api/projects/status/cv5hu6h6hmxd9k5a?svg=true)](https://ci.appveyor.com/project/wojdyr/gemmi)

GEMMI can help if you work with:

* macromolecular models (from mmCIF, PDB and mmJSON files),
* refinement restraints (CIF files),
* crystallographic reflections (from MTZ and SF-mmCIF files),
* electron density maps (MRC/CCP4 files),
* crystallographic symmetries,
* or if you just read and write CIF/STAR files (where C=Crystallographic).

GEMMI is a header-only C++11 library accompanied by:

* command-line [tools](https://gemmi.readthedocs.io/en/latest/utils.html),
* Python bindings (CPython 2 and 3, PyPy),
* Fortran 2003+ interface (in progress),
* WebAssembly ports (see [here](https://project-gemmi.github.io/wasm/) and
  [here](https://www.npmjs.com/package/mtz)),
* and little data viz [projects](https://project-gemmi.github.io/pdb-stats/).

Documentation: http://gemmi.readthedocs.io/en/latest/

GEMMI is an open-source project of [CCP4](https://www.ccp4.ac.uk/)
and [Global Phasing Ltd](https://www.globalphasing.com/),
two major providers of software for macromolecular crystallography.

License: MPLv2, or (at your option) LGPLv3.
© 2017-2021 Global Phasing Ltd.
